aboutsummaryrefslogtreecommitdiff
path: root/libexec/recit-setup
diff options
context:
space:
mode:
Diffstat (limited to 'libexec/recit-setup')
-rwxr-xr-xlibexec/recit-setup12
1 files changed, 12 insertions, 0 deletions
diff --git a/libexec/recit-setup b/libexec/recit-setup
new file mode 100755
index 0000000..d3da34c
--- /dev/null
+++ b/libexec/recit-setup
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+source lib/recfile_template
+
+if [[ -f "$HOME/.recit.location" ]]; then
+ recfile_location=$(cat "$HOME/.recit.location")
+ echo "looks like you already have recit set up at ${recfile_location}, aborting..."
+ exit 1
+fi
+
+recfile_template > "$HOME/.recit.db"
+echo "$HOME/.recit.db" > "$HOME/.recit.location"